BUG #15803: Autocomplete issues in new 11.3 and 9.6.13 psql client

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

BUG #15803: Autocomplete issues in new 11.3 and 9.6.13 psql client

PG Bug reporting form
The following bug has been logged on the website:

Bug reference:      15803
Logged by:          Ken
Email address:      [hidden email]
PostgreSQL version: 11.3
Operating system:   Ubuntu 18.04.2 LTS
Description:        

I got issue when traing to autocomplete(tab'ing) in new versions, what
working well in old version(9.6. When I tray autocomplete by pushing tab
putton, it takes a space, but attended to autocomplete
postgres@karma:~$ psql
psql (11.3 (Ubuntu 11.3-1.pgdg18.04+1), server 9.6.13)
Type "help" for help.

postgres=# select * from pu  
postgres-# \q
postgres@karma:~$ psql -p5433
psql (11.3 (Ubuntu 11.3-1.pgdg18.04+1))
Type "help" for help.

And my old 9.6.4:
psql (11.3 (Ubuntu 11.3-1.pgdg18.04+1), server 9.6.4)
You are now connected to database "**" as user "***".

Reply | Threaded
Open this post in threaded view
|

Re: BUG #15803: Autocomplete issues in new 11.3 and 9.6.13 psql client

Tom Lane-2
PG Bug reporting form <[hidden email]> writes:
> I got issue when traing to autocomplete(tab'ing) in new versions, what
> working well in old version(9.6. When I tray autocomplete by pushing tab
> putton, it takes a space, but attended to autocomplete
> postgres@karma:~$ psql
> psql (11.3 (Ubuntu 11.3-1.pgdg18.04+1), server 9.6.13)
> Type "help" for help.

> postgres=# select * from pu  
> postgres-# \q

Hm, works for me.  Are you sure there are any matching tables in that
server?  A different line of thought is maybe your new psql was built
without readline support.

                        regards, tom lane